Subject: 23.0.60; odd white block next to cursor, after typing some spaces

From: "Eric Hanchrow" <[email-masked]>
Date: Sun, 11 Jan 2009 12:43:31 -0800

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I'm using "urxvt", if it matters.
I started emacs like this:
$ cd /usr/local/src/emacs/src
$ ./emacs -Q -nw

That put me in the *scratch* buffer, naturally.  I then typed

     SPC SPC SPC SPC SPC SPC SPC

The cursor moved to the right, as expected.  But after the last SPC,
something strange happened: the cursor (a solid white rectangle) now
appears twice as wide as it ought to: it's as if columns six and seven
(I count starting from zero, the way column-number-mode does) both
light up whenever the cursor enters them.

I've seen this in other places too, but I can't come up with a simple
description of when it happens.

I honestly don't know if this is a bug or a feature.  If it's a
feature, I very much want to disable it.

This version of emacs was built from source whose last CVS checkin
looks like this:

    Author: Glenn Morris <[email-masked]>
    Date:   Sat Jan 10 22:35:59 2009 +0000

        (Acknowledgments): Some more updates based on AUTHORS.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/src/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.10 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2009-01-10 on debian
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC
SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC ESC x r e p
o r t - e m TAB RET

Recent messages:
("./emacs" "-Q")
For information about GNU Emacs and the GNU system, type C-h C-a.